## Jak kompilować

g++ -std=c++23 generator.cpp __generator.hpp

## Dlaczego nie wykorzystuję std::generator z biblioteki standardowej?

Niestety header <generator> został dodany na razie tylko do kompilatora gcc-14, a snapshot tej wersji
nie jest jeszcze możliwy do zainstalowania standardową drogą. Zostaje zbudowanie i zainstalowanie samemu tej
wersji dostępnej na oficjalnej stronie https://gcc.gnu.org/pub/gcc/snapshots/LATEST-14/

Budowanie tej wersji na moim sprzęcie zajęło kilka godzin i jest to uciążliwe, dlatego do prezentacji użyłem wersji dostępnej tutaj: https://github.com/lewissbaker/generator. Ta wersja, przynajmniej w zakresie przedstawionych funkcjonalności, działa identycznie. Przetestowałem prezentację na obu wersjach (użyłem wersji gcc-14 z dnia 01.07.2024).
https://gcc.gnu.org/pub/gcc/snapshots/LATEST-14/gcc-14-20240107.tar.xz 

## Bibliografia

https://en.cppreference.com/w/cpp/23
> https://www.open-std.org/jtc1/sc22/wg21/docs/papers/2022/p2502r2.pdf
https://en.cppreference.com/w/cpp/coroutine/generator
